org.eclnt.workplace

## Class WorkplaceFunctionTreeInfoNode

- java.lang.Object
- - org.eclnt.workplace.WorkplaceFunctionTreeInfoNode

- All Implemented Interfaces:
    java.io.Serializable

      public class WorkplaceFunctionTreeInfoNode
      extends java.lang.Object
      implements java.io.Serializable

  Function node definition for the configuration of workplace functions trees.
  There are certain types of function nodes, that you can configure:
  (1.) Folder nodes
  (2.) Folder nodes including other function node configurations
  (3.) End nodes
  Nodes of type (1.) are configured by defining their text, and/or the information if the folder is opended by default or nor.
  Nodes of type (2.) are configured by defining their text and the information about the embedded tree - i.e. a name of an other function-tree-configuration-file.
  Nodes of type (3.) are configured by definig their text and defining a workpage-start-info.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceFunctionTreeInfoNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEmbeddedTreeName()` In case of folder nodes, that include other node definitions: the name of the tree-node-configuration that is included within this folder.
    `boolean` | `getFolderOpened()` Only for folder nodes: indicator if folder is opened by default or closed.
    `java.lang.String` | `getNodeComment()` Comment that is displayed as tooltip.
    `java.lang.String` | `getNodeId()` Nodes may have an id on their own - the id is e.g. used for storing the currently opened function-outlookbar-index.
    `java.lang.String` | `getNodeImage()` Image that is associated with the tree node.
    `java.util.List<WorkplaceFunctionTreeInfoNode>` | `getSubNodes()` The sub-nodes of the current node.
    `java.lang.String` | `getText()` Text of the node.
    `WorkpageStartInfo` | `getWorkpageStartInfo()` For end nodes, actually starting a page: the workpage start information for the page.
    `void` | `setEmbeddedTreeName(java.lang.String embeddedTreeName)`
    `void` | `setFolderOpened(boolean folderOpened)`
    `void` | `setNodeComment(java.lang.String nodeComment)`
    `void` | `setNodeId(java.lang.String nodeId)`
    `void` | `setNodeImage(java.lang.String nodeImage)`
    `void` | `setSubNodes(java.util.List<WorkplaceFunctionTreeInfoNode> subNodes)`
    `void` | `setText(java.lang.String text)`
    `void` | `setWorkpageStartInfo(WorkpageStartInfo workpageStartInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkplaceFunctionTreeInfoNode

          public WorkplaceFunctionTreeInfoNode()

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

      Text of the node.

    - #### setText

          public void setText(java.lang.String text)

    - #### getFolderOpened

          public boolean getFolderOpened()

      Only for folder nodes: indicator if folder is opened by default or closed.

    - #### setFolderOpened

          public void setFolderOpened(boolean folderOpened)

    - #### getWorkpageStartInfo

          public WorkpageStartInfo getWorkpageStartInfo()

      For end nodes, actually starting a page: the workpage start information for the page.

    - #### setWorkpageStartInfo

          public void setWorkpageStartInfo(WorkpageStartInfo workpageStartInfo)

    - #### getSubNodes

          public java.util.List<WorkplaceFunctionTreeInfoNode> getSubNodes()

      The sub-nodes of the current node.

    - #### setSubNodes

          public void setSubNodes(java.util.List<WorkplaceFunctionTreeInfoNode> subNodes)

    - #### getEmbeddedTreeName

          public java.lang.String getEmbeddedTreeName()

      In case of folder nodes, that include other node definitions: the name of the tree-node-configuration that is included within this folder.

    - #### setEmbeddedTreeName

          public void setEmbeddedTreeName(java.lang.String embeddedTreeName)

    - #### getNodeId

          public java.lang.String getNodeId()

      Nodes may have an id on their own - the id is e.g. used for storing the currently opened function-outlookbar-index.

    - #### setNodeId

          public void setNodeId(java.lang.String nodeId)

    - #### getNodeImage

          public java.lang.String getNodeImage()

      Image that is associated with the tree node. This is the one to be maintained for "folder nodes". In "end nodes" the image is defined as part of the contained WorkpageStartInfo definition.

    - #### setNodeImage

          public void setNodeImage(java.lang.String nodeImage)

    - #### getNodeComment

          public java.lang.String getNodeComment()

      Comment that is displayed as tooltip.

    - #### setNodeComment

          public void setNodeComment(java.lang.String nodeComment)

Copyright © CaptainCasa Gmbh. All Rights Reserved.